### Method

# Gegl Node set_valist

#### Declaration [src]

    void
    gegl_node_set_valist (
      GeglNode* node,
      const gchar* first_property_name,
      va_list args
    )

#### Description [src]

Valist version of #gegl_node_set.

This method is not directly available to language bindings.

#### Parameters

`first_property_name`

  Type: `const gchar*`

  Name of the first property to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`args`

  Type: `va_list`

  Value for the first property, followed optionally by more name/value pairs, followed by NULL.